﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TechnicalIndicatorValues
{
    public class ViewModel
    {
        public ObservableCollection<Model> StockPriceDetails { get; set; }

        public ViewModel()
        {
            this.StockPriceDetails = new ObservableCollection<Model>();
            DateTime date = new DateTime(2015, 01, 01);
            StockPriceDetails.Add(new Model() { High = 26.31, Open = 25.53, Low = 25.52, Close = 25.89, Volume = 76.16, Date = date.AddDays(1) });
            StockPriceDetails.Add(new Model() { High = 26.48, Open = 26.06, Low = 25.73, Close = 26.86, Volume = 65.72, Date = date.AddDays(2) });
            StockPriceDetails.Add(new Model() { High = 26.91, Open = 26.55, Low = 26.41, Close = 26.26, Volume = 67.84, Date = date.AddDays(3) });
            StockPriceDetails.Add(new Model() { High = 26.57, Open = 26.11, Low = 25.62, Close = 25.79, Volume = 89.83, Date = date.AddDays(4) });
            StockPriceDetails.Add(new Model() { High = 25.83, Open = 25.82, Low = 25.24, Close = 25.29, Volume = 80.46, Date = date.AddDays(5) });
            StockPriceDetails.Add(new Model() { High = 25.26, Open = 25.25, Low = 24.65, Close = 25.11, Volume = 87.35, Date = date.AddDays(6) });
            StockPriceDetails.Add(new Model() { High = 25.52, Open = 25.22, Low = 24.75, Close = 24.79, Volume = 87.81, Date = date.AddDays(7) });
            StockPriceDetails.Add(new Model() { High = 25.15, Open = 25.13, Low = 24.78, Close = 25.00, Volume = 78.95, Date = date.AddDays(8) });
            StockPriceDetails.Add(new Model() { High = 25.72, Open = 25.04, Low = 24.77, Close = 25.66, Volume = 68.06, Date = date.AddDays(9) });
            StockPriceDetails.Add(new Model() { High = 25.96, Open = 25.86, Low = 24.47, Close = 25.50, Volume = 50.97, Date = date.AddDays(10) });
            StockPriceDetails.Add(new Model() { High = 26.65, Open = 25.75, Low = 24.74, Close = 26.58, Volume = 81.64, Date = date.AddDays(11) });

            StockPriceDetails.Add(new Model() { High = 26.58, Open = 26.47, Low = 26.23, Close = 26.32, Volume = 48.70, Date = date.AddDays(12) });
            StockPriceDetails.Add(new Model() { High = 26.67, Open = 26.56, Low = 26.04, Close = 26.37, Volume = 48.00, Date = date.AddDays(13) });
            StockPriceDetails.Add(new Model() { High = 26.53, Open = 26.37, Low = 26.17, Close = 26.44, Volume = 52.08, Date = date.AddDays(14) });
            StockPriceDetails.Add(new Model() { High = 26.89, Open = 26.78, Low = 25.89, Close = 25.95, Volume = 54.63, Date = date.AddDays(15) });
            StockPriceDetails.Add(new Model() { High = 26.45, Open = 26.16, Low = 25.76, Close = 25.77, Volume = 55.99, Date = date.AddDays(16) });
            StockPriceDetails.Add(new Model() { High = 25.78, Open = 26.78, Low = 25.22, Close = 25.31, Volume = 61.47, Date = date.AddDays(17) });
            StockPriceDetails.Add(new Model() { High = 25.72, Open = 25.78, Low = 24.93, Close = 25.00, Volume = 82.61, Date = date.AddDays(18) });
            StockPriceDetails.Add(new Model() { High = 25.11, Open = 25.46, Low = 24.31, Close = 24.53, Volume = 156.26, Date = date.AddDays(19) });
            StockPriceDetails.Add(new Model() { High = 24.61, Close = 24.31, Low = 24.12, Open = 25.05, Volume = 73.79, Date = date.AddDays(20) });
            StockPriceDetails.Add(new Model() { High = 24.20, Close = 23.31, Low = 23.11, Open = 24.41, Volume = 119.89, Date = date.AddDays(21) });


        }
    }
}
